--- title: "Get Intent by Id" slug: "get-intent-by-id" updated: 2025-02-26T12:16:53Z published: 2026-01-22T13:05:41Z canonical: "api-docs.blinkpayment.co.uk/get-intent-by-id" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # Get Intent by Id Get/api/pay/v1/intents/5548 This endpoint retrieves the details of a specific intent by making a GET request to the specified URL. The request should include the unique identifier of the intent in the URL path. **Request Parameters** - `intent_id` (string, required) **Response Parameters** - `id` (number): The unique identifier of the intent. - `payment_intent` (string): The type of payment intent. - `transaction_type` (string): The type of transaction. - `expiry_date` (string): The expiry date of the intent. - `status` (string): The status of the intent. - `payment_type` (string): The type of payment. - `currency` (string): The currency of the transaction. - `amount` (number): The amount of the transaction. - `return_url` (string): The URL to return to after the transaction. - `notification_url` (string): The URL for transaction notifications. - `card_layout` (string): The layout of the card inputs in ccElement and ccMotoElement. - `element`(object): An object containing specific elements for credit card, moto, and online banking transactions: 1. `ccElement` (string): Credit card element. 2. `ccMotoElement` (string): Moto (Mail Order/Telephone Order) element. 3. `obElement` (string): Open banking element. 4. `ddElement` (string): Direct debit element. 5. `gpElement` (string): Google Pay element. 6. `apElement` (string): Apple Pay element. - `merchant_id` (number): The identifier of the merchant. - `transaction_unique` (string): The unique identifier of the transaction. SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Responses200 Successful response